﻿using Syncfusion.SfDataGrid.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace XamarinForms
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class SfDataGridPage : ContentPage
    {
        public SfDataGridPage()
        {
            InitializeComponent();
            dataGrid.QueryRowHeight += DataGrid_QueryRowHeight;
        }

        private void DataGrid_QueryRowHeight(object sender, Syncfusion.SfDataGrid.XForms.QueryRowHeightEventArgs e)
        {
            if (e.RowIndex != 0)
            {
                //Calculates and sets the height of the row based on its content. 
                e.Height = dataGrid.GetRowHeight(e.RowIndex);
                e.Handled = true;
            }
        }
    }
}